> For the complete documentation index, see [llms.txt](https://docs.uiza.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uiza.io/api-reference/live-entities/reset-ingest-key.md).

# Reset Ingest Key

## &#x20;/v1/live\_entities/{id}:reset\_ingest\_key&#x20;

<mark style="color:green;">`POST`</mark> `https://api.uiza.sh/v1/{id}:reset_ingest_key`

#### Path Parameters

| Name | Type   | Description                                         |
| ---- | ------ | --------------------------------------------------- |
| id   | string | The identifier of the live entity to be be updated. |

{% tabs %}
{% tab title="200  The ingest key successfully " %}

```
{
  "id": "22013d8a-d5fa-48f0-9a63-1f471ca9e81d",
  "name": "Test Event Updated",
  "description": "Event for Test",
  "ingest": {
    "url": "rtmp://f45dd07a0e-in.uizadev.io/transcode",
    "key": "live_TB62vHgxSY"
  },
  "playback": {
    "hls": "https://f45dd07a0e.uizadev.io/fmp4/22013d8a-d5fa-48f0-9a63-1f471ca9e81d/master.m3u8",
    "dash": "https://f45dd07a0e.uizadev.io/fmp4/22013d8a-d5fa-48f0-9a63-1f471ca9e81d/manifest.mpd"
  },
  "relay": [
    {
      "id": "8cf47749-1fa4-40e9-8303-580b34f14683",
      "name": "Replay name3333",
      "url": "rtmp://a.rtmp.youtube.com/live2",
      "key": "0df3-76bz-6t4r-1by5xxxxxx",
      "status": "enable",
      "created_at": "2020-06-24T16:25:58Z",
      "updated_at": "2020-06-24T16:25:58Z"
    }
  ],
  "preset": null,
  "region": "in-bangalore-1",
  "status": "ready",
  "dvr": false,
  "encode": false,
  "created_at": "2019-12-11T02:47:04Z",
  "updated_at": "2019-12-16T02:53:30Z"
}
```

{% endtab %}

{% tab title="400 " %}

```
{
  "message": "Cannot reset the entity ingest key. Please try again when the entity’s status is `ready`",
  "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
 "message": "You are unauthorized to access the requested resource. Please verify and resubmit.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="404 Could not find a cake matching this query." %}

```
{
 "message": "The live entity you requested does not exist.",
 "error_type": "invalid_request_error"
}
```

{% endtab %}

{% tab title="500 " %}

```
{
 "message": "An unexpected error occurred on Uiza's end.",
 "error_type": "api_error"
}
```

{% endtab %}
{% endtabs %}

```
curl -X POST https://api.uiza.sh/v1/live_entities/22013d8a-d5fa-48f0-9a63-1f471ca9e81d:reset_ingest_key 
    -H 'Accept: */*' 
    -H 'Authorization: uap-c1ffbff4db954ddcb050c6af0b43ba56-41193b64' 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.uiza.io/api-reference/live-entities/reset-ingest-key.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
